# 6.5. FTP

An ftp location provides access to an FTP server over the unencrypted mode.

Only username and password credentials are supported.

## 6.5.1. name

Default value:

  Empty

Optional:

  No

From version:

  2.8.0

Values:

  - Any text.

Description:

  Human-readable short text used to identify this location.

## 6.5.2. description

Default value:

  Empty

Optional:

  Yes

From version:

  2.8.0

Values:

  - Any text.

Description:

  Human-readable text that describes the purpose of this location.

## 6.5.3. type

Default value:

  ''

Optional:

  No

From version:

  2.6.0

Values:

  - filesystem - Local file system.

  - sftp - SFTP protocol v3 over SSH v2.

  - ftp - FTP protocol without any encryption.

  - ftpse - Explicit FTPS protocol.

  - ftpsi - Implicit FTPS protocol.

  - webdavs - WebDAV over HTTPS.

  - as2 - AS2 over HTTP or HTTPS

  - azure-file - Azure File Service.

  - smb - SMB / Windows Share

Description:

  This option specifies the type of the location. Each type has a set of specific configuration options

## 6.5.4. idle_connection_timeout

Default value:

  300

Optional:

  Yes

From version:

  3.0.0

Values:

  - Number of seconds

  - 0

Description:

  This controls the automatic disconnection from the remote server after the location has not received any file transfer operation requests for the configured number of seconds.

  Keep-alive command requests are not counted as file transfer operations. The connection gets automatically disconnected if keep-alive is the only command requested in the configured interval.

  Disconnected locations automatically reconnect when a new file transfer operation request is made. For example, when a new file needs to be transferred to the remote server.

  If the remote peer closes the connection before the configured timeout, the connection is left closed. It gets automatically reconnected when a new file transfer operation is requested.

  Set to 0 to always keep the connection active, by forcing re-connection when the remote server closes the connection.

  Note

  The idle_connection_timeout is the maximum number of seconds before closing an idle connection to the server. If the remote server decides that the connection is idle and closes the connection, SFTPPlus doesn't try to "challenge" the server, leaving the connection closed. The connection is automatically reopened next time a file needs to be transferred.

## 6.5.5. idle_connection_keepalive_interval

Default value:

  0

Optional:

  Yes

From version:

  3.0.0

Values:

  - Number of seconds

Description:

  Send a keep-alive command every N seconds to avoid having the connection disconnected by the other peer due to inactivity.

  Set to 0 to disable keep-alive commands.

  The keep-alive command does not reset the idle connection timeout,

## 6.5.6. connection_retry_count

Default value:

  12

Optional:

  Yes

From version:

  3.9.0

Values:

  - Number of retries

Description:

  Number of times to retry connection to the location, when the initial connection fails.

  Set to 0 to not retry.

## 6.5.7. connection_retry_interval

Default value:

  300

Optional:

  Yes

From version:

  3.9.0

Values:

  - Number of seconds

Description:

  Number of seconds to wait between connection attempts.

  Set to 0 to retry right away without any delay.

## 6.5.8. address

Default value:

  Empty

Optional:

  No

Values:

  - Host name or IP address of the FTP server.

From version:

  3.13.0

Description:

  Address of the server. IP or host name.

  In order to check the identity of the remote server the address should be provided as FQDN. IP addresses are not supported by the server identity validation process.

## 6.5.9. port

Default value:

  21 or 990 (for implicit FTPS)

Optional:

  Yes

Values:

  - Number, greater than 0.

From version:

  3.13.0

Description:

  Port number to connect to the server.

## 6.5.10. username

Default value:

  Empty

Optional:

  No

From version:

  3.13.0

Values:

  - Text.

Description:

  Username used to authenticate to the server.

## 6.5.11. password

Default value:

  Empty

Optional:

  Yes

From version:

  3.13.0

Values:

  - Plain text password.

  - Empty.

Description:

  This option specifies the password used to connect to the server.

  It is defined in plain text format.

  For FTP it is sent over the network in plain text without any transport protection.

  For FTPS (explicit or implicit) it is sent over the network protected by the TLS protocol.

## 6.5.12. acct

Default value:

  empty

Optional:

  Yes

Values:

  - text

From version:

  4.28.0

Description:

  Extra account value sent via the ACCT command if requested by the FTP server.

  Most FTP servers don't need the extra account (ACCT) information. This is empty by default.

  The location will fail to authenticate if this is empty and extra ACCT information is required.

## 6.5.13. debug

Default value:

  No`

Optional:

  Yes

Values:

  - Yes

  - No

From version:

  4.0.0

Description:

  When enabled, the location will emit events with id 20000, containing low-level debug messages for the file transfer protocol.

  Warning

  When this is enabled, emitted events may include used password in plain text.

## 6.5.14. ignore_passive_address

Default value:

  Yes

Optional:

  Yes

Values:

  - Yes

  - No

From version:

  4.27.0

Description:

  When enabled, the IP address returned by the PASV command is ignored. The same address as the one used for the command channel is used instead.

6.4. SFTP
6.6. Explicit FTPS